      INTEGER IDNTPL, NRECNT, MXRCNT
      CHARACTER*(*) TITLNT
      CHARACTER*(*) BLKEVT, BLKBEM, BLKITR, BLKLPM,
     +     BLKLPE, BLKSUM, BLKDEP
      PARAMETER (IDNTPL = 10)       ! ntuple ID
      PARAMETER (MXRCNT = 65000)    ! max # of records in the ntuple
      PARAMETER (NRECNT = 4096)     ! record length for the ntuple
      PARAMETER (TITLNT = 'LPROTO') ! title of the ntuple
*
*--   Block Names (see below)
*
      PARAMETER (BLKEVT = 'EVNT')
      PARAMETER (BLKBEM = 'BEAM')
      PARAMETER (BLKITR = 'INTR')
      PARAMETER (BLKLPM = 'LPMC')
      PARAMETER (BLKLPE = 'LPEX')
      PARAMETER (BLKSUM = 'SUMS')
      PARAMETER (BLKDEP = 'DEPO')
*     
      INTEGER MXDEPO
      PARAMETER (MXDEPO = MXDEXE)
*
      INTEGER EVENT
      REAL    EIN, XIN, YIN, ZIN, THIN, PHIN
      REAL    DEXE, DEPMT, XCONV, XINTR, XDEPO
      REAL    TDC
      INTEGER NPE, NTOTPE, NSUM, NPEW
      REAL    CADC
      REAL    QSUM, Q_RIGHT, Q_LEFT, Q_BOTTOM, Q_TOP, Q_FRONT, Q_BACK
      INTEGER NDEPO
      REAL    XDEPOS
      REAL    PPIZ
      REAL    ENAI,ENAISUM
      COMMON /NTUPLE/ EVENT,
     +     EIN, XIN, YIN, ZIN, THIN, PHIN,
     +     DEXE, DEPMT, XCONV(3), XINTR(3), XDEPO(5),
     +     NPE(MXPMTS), NTOTPE, NSUM, NPEW(NWALL),
     +     CADC(228), QSUM,
     +     Q_RIGHT, Q_LEFT, Q_BOTTOM, Q_TOP, Q_FRONT, Q_BACK,
     +     NDEPO, XDEPOS(5,MXDEPO),TDC(264),PPIZ(6),ENAI(64),ENAISUM

#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence NTUPLE
*                  for storing data for column-wise ntuple
*
***********************************************************************
*
* Event (EVNT)
* EVENT : event number
*
* Incidental Beam (BEAM)
* EIN   : incident photon momentum (in GeV)
* XIN   : incident photon x-position
* YIN   : incident photon y-position
* ZIN   : incident photon z-position
* THIN  : incident photon theta angle (in rad)
* PHIN  : incident photon phi angle (in rad)
*
* Interactions (INTR)
* DEXE     : total E deposit in Xe
* DEPMT    : total E deposit other than in Xe
* XCONV(3) : 1st conversion point
* XINTR(3) : 1st interaction point
* XDEPO(5) : 1st deposit point and E deposit and time
*
* Number of observed Photo-Electrons (LPMC)
* NPE(ip)  : # of photo-electrons for ip-th PMT ; ip=1 to NALPMT
*            ip = (ix-1) + (iy-1)*IJOFFS(iw) + (iw-1)*IWOFFS(iw)
*
* Same indices as LP experimrnt (LPEX)
* CADC(n) : # of photo-electrons observed on ADC#n (in LP experiment)
* QSUM    : A sum of CADC(n), the same as one in experiment RZ.
* Q_*     : A sum of each face, the same as one in experiment RZ.
*
* Summations concerned with Npe (SUMS)
* NTOTPE   : total # of emitted p.e. (times q.eff.)
* NSUM     : total # of photo-electrons observed by the PMTs
* NPEW(iw) : # of photons for each wall
*
* Alternative Data (DEPO) (useful for event display, while multiplies
* data size)
* NDEPO         : # of energy deposits
* XDEPOS(ix,id) : position (ix=1-3) and energy (ix=4) and time (ix=5)
*               of id-th E  deposit
*
* Momemtum of two gammas from pi0 decay.
* PPIZ(1)  : x-component of gamma 1
* PPIZ(2)  : y-component of gamma 1
* PPIZ(3)  : z-component of gamma 1
* PPIZ(4)  : x-component of gamma 2
* PPIZ(5)  : y-component of gamma 2
* PPIZ(6)  : z-component of gamma 2
*
* ENAI(64)  : Energy deposit in each NaI segment
* ENAISUM   : Energy deposit in all NaI segments
*
*
***********************************************************************
#endif
