      SUBROUTINE LPGEOM
*.
*...LPGEOM   Define GEANT geometries for the large prototype detector
*.
*. SEQUENCE  : GCCUTS GCONST GCFLAG GCLIST
*.           : GMMATM LPCGEO RCREP  XECGEO XECPMT
*. CALLS     : GGCLOS GMMATE GMTMED GSATT  GSPOS  GSPOSP GSROTM GSVOLU
*.           : USGEOM XEGINI XEGPMT
*. CALLED    : UGINIT
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.03
*. CREATED   : 06-May-00
*. LAST MOD  : 06-Sep-01
*.
*. Modification Log.
*. 16-Aug-03   R.Sawada        (V1.11) Added NaI
*.                                     Added fron franges
*.                                     eliminated capability 
*.                                      to chage Xe level
*.                                     Added XPHX,XPHY,XPHZ for speed up.
*. 09-Jul-03   R.Sawada        (V1.10) Included Tip-tube, PMT base, 
*.                                     and Filler in XPMT
*. 21-Apr-03   R.Sawada        (V1.09) Modified holder ,tip tube, filler
*. 04-Apr-03   R.Sawada        (V1.08) Added Filler
*. 25-Jan-03   R.Sawada        (V1.07) Added Am source plate
*. 23-Jan-03   R.Sawada        (V1.06) Enabled to change distnace between
*.                              honeycomb and holer
*. 22-Jan-03   R.Sawada        (V1.05) Added realistic honeycomb core
*. 22-Jan-03   R.Sawada        (V1.04) Modified the arrangement of XELQ
*. 06-Sep-01   W.Ootani        (V1.03) Take account of liquid xenon
*.                             surface
*. 22-May-00   T.Mashimo       (V1.02) LPTMED,'LQXE' -> GMTMED,'XELQ'.
*. 16-May-00   T.Mashimo       (V1.01) SPxxxx->VPxxxx.  GMTMED->LPTMED.
*.                             Geant initial volume now 'LP  ' instead
*.                             of 'MEG '.
*. 06-May-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "geant321/gconst.inc"
#include "geant321/gccuts.inc"
#include "geant321/gcflag.inc"
#include "geant321/gclist.inc"
#include "rcrep.inc"
#include "gmmatm.inc"
#include "lpcgeo.inc"
#include "xecgeo.inc"
#include "xecpmt.inc"
#include "lpflag.inc"
*
      LOGICAL INIT
      SAVE    INIT
      INTEGER IUCOMP
      EXTERNAL IUCOMP
*     
      CHARACTER*4 CHVOL
      REAL    VPXEVA(3), VPXELQ(3)
      REAL    VPXPH1(3), VPXPH2(3), VPXPH3(3), VPXPHM(3)
      REAL    VPXPHL(3,4)
      EQUIVALENCE (VPXPH1(1), VPXPHL(1,1))
      EQUIVALENCE (VPXPH2(1), VPXPHL(1,2))
      EQUIVALENCE (VPXPH3(1), VPXPHL(1,3))
      EQUIVALENCE (VPXPHM(1), VPXPHL(1,4))
      REAL    VPXEHP(3), VPXEHC(3), VPXEAW(3), VPXEHV(10)
      REAL    VPAMPL(3), VPAMFM(3)
      REAL    VPXPTP(18)
      REAL    ZPXPTP
      INTEGER IVOL
      REAL DHCCEL , THCCEL
      INTEGER NHCCELX
      INTEGER NHCCELY
      INTEGER IHCCEL
*     
      INTEGER IW, IX, IY, I, IPMT, IHCVAX, IHCVAY, IFILLER
      INTEGER IROT,   IROTAR(6)
      REAL    XPOS0,  YPOS0,  ZPOS0
      REAL    XPOSWD, YPOSWD, ZPOSWD,
     +     XPOSPM, YPOSPM, ZPOSPM,
     +     XPOSFL, YPOSFL, ZPOSFL,
     +     XPOSHL(4), YPOSHL(4), ZPOSHL(4)
      REAL    ZMXELQ, ZCXELQ, ZMXEVA, ZCXEVA
      REAL    ZPXEHP(2), ZPXEHC, ZPXEAW
      INTEGER NXNAI,NYNAI,INAI
      REAL NAIINT
      INTEGER NUPMT,NVPMT
      REAL    VPXNAI(3)
      REAL    ZPXNAI
      REAL XPOSNAI,YPOSNAI
      REAL XPOSAM(2),YPOSAM(2),ZPOSAM
      REAL VPXFCA1(10),VPXFCA2(3),VPXFCA3(3)
      REAL ZPXFCA1,ZPXFCA2,ZPXFCA3
      REAL VPXFWN(3)
      REAL ZPXFWN
      REAL VPXAWN(3)
      REAL ZPXAWN
      REAL VPXSWN(3)
      REAL ZPXSWN
*     
      DATA INIT / .FALSE. /
*     
      DATA DHCCEL / 1.27 /
      DATA THCCEL / 0.00508 /
      DATA NHCCELX / 7 /
      DATA NHCCELY / 25/
      DATA VPAMFM / 0., 1.27, 0.0002/
      DATA VPAMPL / 0., 1.27, 0.05 /
      DATA VPXPH1(3), VPXPH2(3), VPXPH3(3) / 1.45, 0.55, 0.25/
      DATA VPXEHP(3), VPXEHC(3) / 0.025, 1.00 /
      DATA VPXEHV / 60., 360., 6, 2, 
     +     -1., 0., 0., 
     +     1., 0., 0./
      VPXEHV(7) =DHCCEL/2.
      VPXEHV(10)=DHCCEL/2.
      DATA VPXEAW /0.,4.5, 0.05 /
      DATA NXNAI,NYNAI /8,8/
      DATA VPXNAI /3.175,3.175,20.3/
      DATA NAIINT /6.35/
      DATA VPXFCA1 /45., 360., 4, 2,0. , 8., 23.4, 0.4, 8., 23.4/
      DATA VPXFCA2 /4.5, 26.31,1.25/
      DATA VPXFCA3 /4.5, 8.0, 0.6/
      DATA VPXFWN(3) /0.025/
      DATA VPXAWN(3) /0.1/
      DATA VPXSWN(3) /1.0/
*     
      IF (.NOT. INIT) THEN
         INIT = .TRUE.
      END IF
*     
*--   Initialize geometrical parameters in /XECGEO/
*     
      CALL XEGINI
*     
*--   Set up materials
*     
      CALL GMMATE
*     
*--   Set up tracking media
*     
      CALL GMTMED
*     
*--   
*--   Define GEANT volumes
*--   
*     
*     The z=0 is located just in front of the window of the PMTs
*     on the front-side.
*     
      VPLP(1) = PMTINT*FLOAT(NXPMT)
      VPLP(2) = PMTINT*FLOAT(NYPMT)
      IF(DSTSW(6) .EQ. 7) THEN!pi0 mode
         VPLP(3) = ABS(LNAI) + PMTINT*FLOAT(NZPMT)*1.5
      ELSE
         VPLP(3) = PMTINT*FLOAT(NZPMT)*1.5
      END IF
      CALL GSVOLU('LP  ', 'BOX ', TMMEG, VPLP, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for LP  :'', I8)') IVOL
         CALL REPORT('LPGEOM', 11, 'ERROR')
      END IF
      CALL GSATT('LP  ', 'SEEN', 0)
*     
*--   Define the geometry of a PMT
*     
      CALL XEGPMT
*     

*
*
*-- Liquid Xenon
*     
*
      ZMXELQ = 2.*(VPXPWD(3)+VPXPH1(3)+VPXPH2(3)+VPXPH3(3))
      VPXELQ(1) = PMTINT*FLOAT(NXPMT)/2. + ZMXELQ
      VPXELQ(2) = PMTINT*FLOAT(NYPMT)/2. + ZMXELQ
      VPXELQ(3) = PMTINT*FLOAT(NZPMT)/2. + ZMXELQ + ZXEEXP/2.      
      ZCXELQ = VPXELQ(3) - ZMXELQ - ZXEEXP
      CALL GSVOLU('XELQ', 'BOX ', TMXELQ, VPXELQ, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XELQ:'', I8)') IVOL
         CALL REPORT('LPGEOM', 12, 'ERROR')
      END IF
      CALL GSATT('XELQ', 'SEEN', 1)
      CALL GSPOS('XELQ', 1, 'LP  ',0.,0.,ZCXELQ ,0, 'ONLY')
      

*
*-- Honeycomb window and Al window and front franges
*      
* honeycoumb
      VPXEHP(1) = PMTINT*FLOAT(NXPMT)/2. +ZMXELQ
      VPXEHP(2) = PMTINT*FLOAT(NYPMT)/2. +ZMXELQ
      CALL GSVOLU('XEHP', 'BOX ', TMXEHP, VPXEHP, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XEHP:'', I8)') IVOL
         CALL REPORT('LPGEOM', 13, 'ERROR')
      END IF
      CALL GSATT('XEHP', 'SEEN', 1)
      ZPXEHP(2) = -ZMXELQ - VPXEHP(3)
      CALL GSPOS('XEHP', 1, 'LP  ',
     +           0., 0.,  ZPXEHP(2) - ZXEEXP, 0, 'ONLY')
*
      IF(HCRLON .EQ. 1) THEN
         VPXEHC(1) = PMTINT*FLOAT(NXPMT)/2.+ZMXELQ
         VPXEHC(2) = PMTINT*FLOAT(NYPMT)/2.+ZMXELQ
         CALL GSVOLU('XEHC', 'BOX ', TMHCPL, VPXEHC, 3, IVOL)
         IF (IVOL .LE. 0) THEN
            WRITE(CHREP, '(''Error in GSVOLU for XEHC:'', I8)') IVOL
            CALL REPORT('LPGEOM', 14, 'ERROR')
         END IF
         CALL GSATT('XEHC', 'SEEN', 1)
         ZPXEHC = ZPXEHP(2) - VPXEHP(3) - VPXEHC(3)
         CALL GSPOS('XEHC', 1, 'LP  ',
     +        0., 0., ZPXEHC -ZXEEXP, 0, 'ONLY')
         CALL GSVOLU('HCVA', 'PGON', TMHCVA, VPXEHV, 10, IVOL)
         IF (IVOL .LE. 0) THEN
            WRITE(CHREP, '(''Error in GSVOLU for HCVA:'', I8)') IVOL
            CALL REPORT('LPGEOM', 15, 'ERROR')
         END IF
         CALL GSATT('HCVA', 'SEEN', 1)
       
         IHCCEL = 1
         DO 6 IHCVAY=1,NHCCELY 
            IF((IHCVAY-2*(IHCVAY/2)) .EQ. 0) THEN
               DO 2 IHCVAX=1,NHCCELX
                  CALL GSPOS('HCVA', IHCCEL, 'XEHC',
     +                 (IHCVAX-1-NHCCELX/2)
     +                 *SQRT(3.*(DHCCEL**2)+4.*DHCCEL*THCCEL)  + HCX ,
     +                 (IHCVAY-1-NHCCELY/2)*(DHCCEL/2.+THCCEL )+ HCY ,
     +                 0., 0, 'ONLY')
                  IHCCEL = IHCCEL +1
 2             CONTINUE
            ELSE
               DO 4 IHCVAX=1,NHCCELX-1
                  CALL GSPOS('HCVA', IHCCEL, 'XEHC',
     +                 (IHCVAX-1-NHCCELX/2+0.5)
     +                 *SQRT(3.*(DHCCEL**2)+4.*DHCCEL*THCCEL)  + HCX,
     +                 (IHCVAY-1-NHCCELY/2)*(DHCCEL/2.+THCCEL) + HCY ,
     +                 0., 0, 'ONLY')
                  IHCCEL = IHCCEL +1
 4             CONTINUE
            END IF
 6       CONTINUE
      ELSE
         VPXEHC(1) = PMTINT*FLOAT(NXPMT)/2.+ZMXELQ
         VPXEHC(2) = PMTINT*FLOAT(NYPMT)/2.+ZMXELQ
         CALL GSVOLU('XEHC', 'BOX ', TMXEHC, VPXEHC, 3, IVOL)
         IF (IVOL .LE. 0) THEN
            WRITE(CHREP, '(''Error in GSVOLU for XEHC:'', I8)') IVOL
            CALL REPORT('LPGEOM', 16, 'ERROR')
         END IF
         CALL GSATT('XEHC', 'SEEN', 1)
         ZPXEHC = ZPXEHP(2) - VPXEHP(3) - VPXEHC(3)
         CALL GSPOS('XEHC', 1, 'LP  ',
     +        0., 0., ZPXEHC - ZXEEXP, 0, 'ONLY')
      END IF
*
      ZPXEHP(1) = ZPXEHC - VPXEHC(3) - VPXEHP(3)
      CALL GSPOS('XEHP', 2, 'LP  ',
     +           0., 0., ZPXEHP(1) -ZXEEXP, 0, 'ONLY')

*aluminum window
      CALL GSVOLU('XEAW', 'TUBE', TMXEAW, VPXEAW, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XEAW:'', I8)') IVOL
         CALL REPORT('LPGEOM', 17, 'ERROR')
      END IF
      CALL GSATT('XEAW', 'SEEN', 1)
      ZPXEAW = ZPXEHP(1) - VPXEHP(3) - 5.0 - VPXEAW(3)
      CALL GSPOS('XEAW', 1, 'LP  ',
     +           0., 0., ZPXEAW -ZXEEXP,
     +           0, 'ONLY')

*inner vessel
      CALL GSVOLU('FCA1', 'PGON', TMXEVS, VPXFCA1, 10, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for FCA1:'', I8)') IVOL
         CALL REPORT('LPGEOM', 18, 'ERROR')
      END IF
      CALL GSATT('FCA1', 'SEEN', 1)
      ZPXFCA1 = ZPXEHP(1) - VPXEHP(3) -VPXFCA1(8)
      CALL GSPOS('FCA1', 1, 'LP  ',
     +           0., 0.,  ZPXFCA1 - ZXEEXP, 0, 'ONLY')

*outer vessel
      CALL GSVOLU('FCA2', 'TUBE', TMXEVS, VPXFCA2, 10, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for FCA2:'', I8)') IVOL
         CALL REPORT('LPGEOM', 19, 'ERROR')
      END IF
      CALL GSATT('FCA2', 'SEEN', 1)
      ZPXFCA2 = ZPXEAW + VPXEAW(3)+VPXFCA2(3)
      CALL GSPOS('FCA2', 1, 'LP  ',
     +           0., 0.,  ZPXFCA2 - ZXEEXP, 0, 'ONLY')

      CALL GSVOLU('FCA3', 'TUBE', TMHCPL, VPXFCA3, 10, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for FCA3:'', I8)') IVOL
         CALL REPORT('LPGEOM', 20, 'ERROR')
      END IF
      CALL GSATT('FCA3', 'SEEN', 1)
      ZPXFCA3 = ZPXEAW-VPXFCA3(3)
      CALL GSPOS('FCA3', 1, 'LP  ',
     +           0., 0., ZPXFCA3 - ZXEEXP, 0, 'ONLY')


*
*--   Container for PMTs and holders (XPHX,XPHY,XPHZ)
*     
      
      VPXPHM(3)= ZMXELQ/2.
      ZPOSWD = VPXPHM(3) - VPXPWD(3)
      ZPOSPM = ZPOSWD - VPXPWD(3) - VPXPMT(3)
      ZPOSHL(1) = ZPOSWD - VPXPWD(3) - VPXPH1(3)
      ZPOSHL(2) = ZPOSHL(1) - VPXPH1(3) - VPXPH2(3)
      ZPOSHL(3) = ZPOSHL(2) - VPXPH2(3) - VPXPH3(3)
*

      CALL GSVOLU('XPH1', 'BOX ', TMXPBS, VPXPH1, 0, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XPH1:'', I8)') IVOL
         CALL REPORT('LPGEOM', 21, 'ERROR')
      END IF
      CALL GSATT('XPH1', 'SEEN', 1)
*     
      CALL GSVOLU('XPH2', 'BOX ', TMXACR, VPXPH2, 0, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XPH2:'', I8)') IVOL
         CALL REPORT('LPGEOM', 22, 'ERROR')
      END IF
      CALL GSATT('XPH2', 'SEEN', 1)

*     
      CALL GSVOLU('XPH3', 'BOX ', TMXACR, VPXPH3, 0, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for XPH3:'', I8)') IVOL
         CALL REPORT('LPGEOM', 23, 'ERROR')
      END IF
      CALL GSATT('XPH3', 'SEEN', 1)
      
      DO 80 IW = 1,6,2
         IF(IW .EQ. 1) THEN
            DO 10 I = 1,4
               VPXPHL(1,I)=PMTINT*FLOAT(NYPMT)/2.
               VPXPHL(2,I)=PMTINT*FLOAT(NZPMT)/2.
 10         CONTINUE
            NUPMT=NYPMT
            NVPMT=NZPMT
            CHVOL= 'XPHX'
         ELSE IF(IW .EQ. 3) THEN
            DO 20 I = 1,4
               VPXPHL(1,I)=PMTINT*FLOAT(NZPMT)/2.
               VPXPHL(2,I)=PMTINT*FLOAT(NXPMT)/2.
 20         CONTINUE
            NUPMT=NZPMT
            NVPMT=NXPMT
            CHVOL= 'XPHY'
         ELSE IF(IW .EQ. 5) THEN
            DO 30 I = 1,4
               VPXPHL(1,I)=PMTINT*FLOAT(NXPMT)/2.
               VPXPHL(2,I)=PMTINT*FLOAT(NYPMT)/2.
 30         CONTINUE
            NUPMT=NXPMT
            NVPMT=NYPMT
            CHVOL= 'XPHZ'
         END IF
         CALL GSVOLU(CHVOL, 'BOX ', TMXELQ, VPXPHM, 3, IVOL) 
         IF (IVOL .LE. 0) THEN
            WRITE(CHREP, '(''Error in GSVOLU for A4:'', I8)') CHVOL,IVOL
            CALL REPORT('LPGEOM', 24, 'ERROR')
         END IF
         CALL GSATT(CHVOL, 'SEEN', 0)

         CALL GSPOSP('XPH1', 1, CHVOL,0., 0., 
     +        ZPOSHL(1), 0, 'MANY',VPXPH1, 3)
         CALL GSPOSP('XPH2', 1, CHVOL,0., 0., 
     +        ZPOSHL(2), 0, 'MANY',VPXPH2, 3)
         CALL GSPOSP('XPH3', 1, CHVOL,0., 0., 
     +        ZPOSHL(3), 0, 'MANY',VPXPH3, 3)

         XPOS0=-PMTINT*FLOAT(NUPMT+1)/2.
         YPOS0=-PMTINT*FLOAT(NVPMT+1)/2.
         DO 50 IX = 1, NUPMT
            DO 40 IY = 1, NVPMT
               XPOSWD = XPOS0 + FLOAT(IX)*PMTINT
               YPOSWD = YPOS0 + FLOAT(IY)*PMTINT
               XPOSPM = XPOSWD
               YPOSPM = YPOSWD
               IPMT = IX + (IY-1)*NUPMT            
               CALL GSPOS('XPWD', IPMT, CHVOL,
     +              XPOSWD, YPOSWD, ZPOSWD, 0, 'ONLY')
               CALL GSPOS('XPMT', IPMT, CHVOL,
     +              XPOSPM, YPOSPM, ZPOSPM, 0, 'ONLY')
 40         CONTINUE
 50      CONTINUE
 80   CONTINUE
*
*-- Place container for PMTs and their holders.
*
      IROTAR(1) =76
      IROTAR(2) =77
      IROTAR(3) =78
      IROTAR(4) =79
      IROTAR(5) =0
      IROTAR(6) =80 
    
      CALL GSROTM(76,  90.,  90.,   0.,   0.,  90.,   0.)
      CALL GSROTM(77,  90.,  90., 180.,   0.,  90., 180.)
      CALL GSROTM(78,   0.,   0.,  90.,   0.,  90.,  90.)
      CALL GSROTM(79,   0.,   0.,  90., 180.,  90., 270.)
      CALL GSROTM(80,  90., 180.,  90.,  90., 180.,   0.)
*
      DO 100 I = 1, 2
         IW=I
         IROT = IROTAR(IW)
         XPOSHL(4) = -PMTINT*FLOAT(NXPMT)/2. - VPXPHM(3)
         IF (IW .EQ. 2) THEN
            XPOSHL(4) = -XPOSHL(4)
         END IF
         ZPOSHL(4) = PMTINT*FLOAT(NZPMT)/2.
         YPOSHL(4) = 0.
         CALL GSPOS('XPHX', I, 'XELQ',XPOSHL(4), 
     +        YPOSHL(4), -ZCXELQ+ZPOSHL(4), IROT, 'ONLY',)
         
         IW=I+2
         IROT = IROTAR(IW)        
         YPOSHL(4) = -PMTINT*FLOAT(NYPMT)/2. - VPXPHM(3)
         IF (IW .EQ. 4) THEN
            YPOSHL(4) = -YPOSHL(4)
         END IF
         ZPOSHL(4) = PMTINT*FLOAT(NZPMT)/2.
         XPOSHL(4) = 0.
         CALL GSPOS('XPHY', I, 'XELQ',XPOSHL(4), 
     +        YPOSHL(4), -ZCXELQ+ZPOSHL(4), IROT, 'ONLY',)
         
         IW=I+4
         IROT = IROTAR(IW)
         ZPOSHL(4) = -VPXPHM(3)
         IF (IW .EQ. 6) THEN
            ZPOSHL(4) = +ZPOSHL(4)+PMTINT*FLOAT(NZPMT)+2.*VPXPHM(3)
         END IF
         XPOSHL(4) = 0.
         YPOSHL(4) = 0.
         CALL GSPOS('XPHZ', I, 'XELQ',XPOSHL(4), 
     +        YPOSHL(4), -ZCXELQ+ZPOSHL(4), IROT, 'ONLY',)
*     
         
 100  CONTINUE
               
*
*-- Place Am source plate
      IROTAR(1) =79
      IROTAR(2) =76
      IROTAR(3) =78
      IROTAR(4) =77
      IROTAR(5) =0
      IROTAR(6) =80 

      CALL GSVOLU('AMP1', 'TUBE', TMAMFM, VPAMFM, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for AMP1:'', I8)') IVOL
         CALL REPORT('LPGEOM', 25, 'ERROR')
      END IF
      CALL GSATT('AMP1', 'SEEN', 1)
*     
      CALL GSVOLU('AMP2', 'TUBE', TMAMPL, VPAMPL, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for AMP2:'', I8)') IVOL
         CALL REPORT('LPGEOM', 26, 'ERROR')
      END IF
      CALL GSATT('AMP2', 'SEEN', 1)
 
      DO 106 I=1,4
         XPOSAM(1)=(PALPHA+VPAMFM(3))*COS(PI/2.*I) 
         XPOSAM(2)=(PALPHA+VPAMFM(3)*2.+VPAMPL(3))*COS(PI/2.*I)
         YPOSAM(1)=(PALPHA+VPAMFM(3))*SIN(PI/2.*I) 
         YPOSAM(2)=(PALPHA+VPAMFM(3)*2.+VPAMPL(3))*SIN(PI/2.*I)
         ZPOSAM=-ZCXELQ + 2.*PMTINT
         IROT = IROTAR(I)
         CALL GSPOS('AMP1', I, 'XELQ',XPOSAM(1),YPOSAM(1),
     +        ZPOSAM ,IROT, 'ONLY')
         CALL GSPOS('AMP2', I, 'XELQ',XPOSAM(2),YPOSAM(2),
     +        ZPOSAM ,IROT, 'ONLY')
 106  CONTINUE
*
*  NaI ------- see NIM A 271 (1988) 497-506
*
      IF(DSTSW(6) .EQ. 7) THEN!pi0 mode
      CALL GSVOLU('NAI ', 'BOX ', TMNAI, VPXNAI, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for NAI :'', I8)') IVOL
         CALL REPORT('LPGEOM', 27, 'ERROR')
      END IF
      CALL GSATT('NAI ', 'SEEN', 1)
      ZPXNAI = LNAI - VPXNAI(3)
*
      DO 120 IX = 1, NXNAI
         DO 110 IY = 1, NYNAI
            XPOSNAI = (FLOAT(IX)-FLOAT(NXNAI)/2.-0.5)*NAIINT
            YPOSNAI = (FLOAT(IY)-FLOAT(NYNAI)/2.-0.5)*NAIINT
            INAI = IY + (IX-1)*NYNAI
            CALL GSPOS('NAI ', INAI, 'LP  ',
     +           XPOSNAI, YPOSNAI, ZPXNAI, 0, 'ONLY')
 110     CONTINUE
 120  CONTINUE
*front window of NaI
      VPXFWN(1)=(NAIINT * FLOAT(NXNAI))/2. 
      VPXFWN(2)=(NAIINT * FLOAT(NYNAI))/2.
      CALL GSVOLU('FEWN', 'BOX ', TMIRON, VPXFWN, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for FEWN:'', I8)') IVOL
         CALL REPORT('LPGEOM', 28, 'ERROR')
      END IF
      CALL GSATT('FEWN', 'SEEN', 1)
      ZPXFWN=LNAI+VPXFWN(3)
      CALL GSPOS('FEWN', 1, 'LP  ',0., 0., ZPXFWN, 0, 'ONLY')
      
*using air instead of styrofoam
      VPXSWN(1)=(NAIINT * FLOAT(NXNAI))/2. 
      VPXSWN(2)=(NAIINT * FLOAT(NYNAI))/2.
      CALL GSVOLU('STWN', 'BOX ', TMSTYR, VPXSWN, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for STWN:'', I8)') IVOL
         CALL REPORT('LPGEOM', 29, 'ERROR')
      END IF
      CALL GSATT('STWN', 'SEEN', 1)
      ZPXSWN=ZPXFWN+VPXFWN(3)+VPXSWN(3)
      CALL GSPOS('STWN', 1, 'LP  ',0., 0., ZPXSWN, 0, 'ONLY')
      
      VPXAWN(1)=(NAIINT * FLOAT(NXNAI))/2. 
      VPXAWN(2)=(NAIINT * FLOAT(NYNAI))/2.
      CALL GSVOLU('ALWN', 'BOX ', TMXEAW, VPXAWN, 3, IVOL)
      IF (IVOL .LE. 0) THEN
         WRITE(CHREP, '(''Error in GSVOLU for ALWN:'', I8)') IVOL
         CALL REPORT('LPGEOM', 30, 'ERROR')
      END IF
      CALL GSATT('ALWN', 'SEEN', 1)
      ZPXAWN=ZPXSWN+VPXSWN(3)+VPXAWN(3)
      CALL GSPOS('ALWN', 1, 'LP  ',0., 0., ZPXAWN, 0, 'ONLY')

      END IF

*
*-- Call user geometry routine
*
      CALL USGEOM
*
*-- Close geometry banks
*
      CALL GGCLOS
*
*-- Display the geometry
*
*     16-Feb-00  T. Mashimo  The following call to GDTREE has been
*     disabled, since it somehow causes core dump (in ixgetpl_)
*     on a Linux platform.
*      CALL GDTREE('LP  ', 0, 0)
      CALL ICLRWK(0, 0)
*
**    CALL GDSPEC('ECAL')
**    CALL ICLRWK(0, 0)
*
**    CALL GDRAWC('LP  ', 3, 0., 10., 10., 1.0, 1.0)
**    CALL ICLRWK(0, 0)
*
  999 CONTINUE
      RETURN
      END
