      SUBROUTINE PI0SIM
*.
*.
*...PI0SIM   Generate kinematics for PI0 Decay
*. CALLED    : GUKINE
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : R.Sawada
*. VERSION   : 1.01
*. CREATED   : 12-Aug-03
*. LAST MOD  : 12-Aug-03
*.
*. Modification Log.
*. 12-Aug-03   R.Sawada       (V1.00) this program is base on 
*.                            S.Mihara's pi0sim.f
*.
*.**********************************************************************
*
#include "geant321/gconst.inc"
#include "geant321/gcflag.inc"
#include "geant321/gckine.inc"
#include "xecgeo.inc"
#include "xecint.inc"
#include "ntuple.inc"
#include "rcrep.inc"
#include "cmpedg.inc"
#include "aistcg.inc"
#include "lpflag.inc"

c      real pi
c      parameter (pi = 3.141592)
      
      integer i,j
      
      real pi0m, absppi0
      parameter (pi0m = 134.9766, absppi0=28.04)
      
c      real rcounter
c      parameter (rcounter = 540.0)
c      
c      real vrtxsg
c      parameter (vrtxsg = 5.0)
      
      real ppi0(4),pg1cm(4),pg2cm(4),pg1lb(4),pg2lb(4),angle,anglab
      common/pi0decay/ppi0,pg1cm,pg2cm,pg1lb,pg2lb,angle,anglab
      
c      real g1rl(3), g2rl(3), vrtx(3)

 
 10   call RN3DIM(ppi0(1), ppi0(2), ppi0(3) ,absppi0)
      ppi0(4) = sqrt(absppi0**2 + pi0m**2)
      
      call RN3DIM(pg1cm(1), pg1cm(2), pg1cm(3), pi0m/2.0)
      
      do 11 j=1, 3
         pg2cm(j) = -pg1cm(j)
 11   continue
      pg1cm(4) = pi0m/2.0
      pg2cm(4) = pi0m/2.0
      
      call LORENB(pi0m, ppi0, pg1cm, pg1lb)
      call LORENB(pi0m, ppi0, pg2cm, pg2lb)
      
c      angle = acos(vprod(pg1lb, pg2lb)/vabs(pg1lb)/vabs(pg2lb))
c      angle = angle * 180.0/pi
c      
c      call RNORML(VRTX, 3)
c      do 13 j=1,3
c         vrtx(j) = vrtxsg*vrtx(j)
c 13   continue
c      
c      do 14 j=1,3
c         g1rl(j) = vrtx(j) + pg1lb(j)/vabs(pg1lb)*rcounter
c         g2rl(j) = vrtx(j) + pg2lb(j)/vabs(pg2lb)*rcounter
c 14   continue
c      
c      anglab = acos(vprod(g1rl, g2rl)/vabs(g1rl)/vabs(g2rl))
c      anglab = anglab * 180.0/pi

      IF(abs(pg1lb(3)/vabs(pg1lb)) .LT. 1/2.) GOTO 10

      IF(pg1lb(3) .GT. 0.) THEN      
         ppiz(1)= pg1lb(1)/1000.
         ppiz(2)= pg1lb(2)/1000.
         ppiz(3)= pg1lb(3)/1000.
         ppiz(4)= pg2lb(1)/1000.
         ppiz(5)= pg2lb(2)/1000.
         ppiz(6)= pg2lb(3)/1000.
      ELSE 
         ppiz(1)= pg2lb(1)/1000.
         ppiz(2)= pg2lb(2)/1000.
         ppiz(3)= pg2lb(3)/1000.
         ppiz(4)= pg1lb(1)/1000.
         ppiz(5)= pg1lb(2)/1000.
         ppiz(6)= pg1lb(3)/1000.         
      END IF
      end
      
      
      real function vprod(a, b)
      
      real a(*), b(*)
      vprod = a(1)*b(1)+a(2)*b(2)+a(3)*b(3)
      
      return
      end
      
      real function vabs(a)
      
      real a(*)
      vabs = sqrt(a(1)*a(1)+a(2)*a(2)+a(3)*a(3))
      
      return
      end      
      





